Bug 503777 - AttributeError while resizing software RAID partition
AttributeError while resizing software RAID partition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
anaconda_trace_hash:ee6e5987461799c6a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 12:22 EDT by Zack Cerza
Modified: 2010-03-15 09:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-15 09:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (302.59 KB, text/plain)
2009-06-02 12:22 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2009-06-02 12:22:09 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.57 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/deviceaction.py", line 345, in __init__
    if device.format.targetSize == newsize:
  File "/usr/lib/anaconda/iw/partition_dialog_gui.py", line 295, in run
    actions.append(ActionResizeFormat(request, size))
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1119, in editPartition
    actions = parteditor.run()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1080, in editCB
    self.editPartition(device)
AttributeError: 'MDRaidMember' object has no attribute 'targetSize'
Comment 1 Zack Cerza 2009-06-02 12:22:14 EDT
Created attachment 346282 [details]
Attached traceback automatically from anaconda.
Comment 2 Bug Zapper 2009-06-09 12:59:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Lumens 2009-06-09 14:51:35 EDT
We just did a quick test here and were unable to reproduce this error.  All attempts to resize a RAID member or the filesystem on top of the RAID member were prevented by anaconda.  Can you outline the UI steps you took that led to this traceback?  Thanks.
Comment 4 Zack Cerza 2009-06-10 14:15:35 EDT
I can't say for sure that I remember accurately (perhaps Anaconda should log UI events?), but I'll try.

Here's what I remember. I had 2 disks: sda and sdb. I put /boot on sda, and used the remaining space to create two software RAID members - one on each disk. I then created a RAID0 array from the two members and indicated that it should be formatted btrfs.

When I clicked on Forward, I was warned that I'd forgotten to create a swap partition. So I hit Cancel (or whatever the "go back" button is called in that dialog) and attempted to resize the member that was on sdb. Traceback.
Comment 5 Zack Cerza 2009-06-10 14:18:01 EDT
But whatever happened, I suspect that MDRaidMember should not simply be missing attributes; otherwise you'll have to constantly catch AttributeErrors.
Comment 6 Hans de Goede 2010-03-15 09:21:01 EDT
Closing this as insufficient data, as no reproduction instructions have been provided (and the last comment is more then 6 months old).

Note You need to log in before you can comment on or make changes to this bug.